﻿.landing {
  background: url("../img/splash.jpg") !important;
  background-size: cover !important;
  height: 100% !important;
  width: 100% !important;
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
  text-align: center !important }
  .landing img {
    max-width: 50%;
    max-height: 50%; }

  div.fullHeight{
    height:100%;
}
.ng-valid {
}

.ng-invalid {
    display:block;
    color:red;
}

.ng-pristine {
}

.ng-dirty {
}

.ng-touched {
}

/* really specific css rules applied by angular */
.ng-invalid-required {
}

.ng-invalid-minlength {
}

.ng-valid-max-length {
}

.page[data-page="home"] .swiper-container {
    height: 150px;
}

.page[data-page="home"] .swiper-container img {
        width: 100%;
        height: 150px;
        object-fit: cover;
        object-position: center;
    }

.page[data-page="advertisements"] .swiper-container {
    height: 150px;
}

    .page[data-page="advertisements"] .swiper-container img {
        width: 100%;
        height: 150px;
        object-fit: cover;
        object-position: center;
    }
.swiper-container {
    direction: rtl !important
}
.focus-state .input-field:after, .focus-state .item-input-field:after, .input-field.focus-state:after, .input-field.not-empty-state:after, .item-input-field.focus-state:after, .item-input-field.not-empty-state:after, .not-empty-state .input-field:after, .not-empty-state .item-input-field:after{
    display:none;
}
.input-field:after, .item-input-field:after{
    display:none;
}

.has-error {
    border:1px solid red !important;
}
.no-error{
    border:1px solid #ccc !important;
}
.error-block{
    color:red !important;
    font-size:10px !important;
    text-align:center;
}

.has-error .item-input input{
    color:red !important;
}
.no-error .item-input input{
    color:#000 !important;
}
.has-error i{
    color:red !important;
}
.no-error i{
    color:#000 !important;
}
.withoutInvalid{
    border:none !important;
    color:#000000 !important;
}
.divTab{
    display:flex !important;
    justify-content: center !important;
    transition: all 0.1s;
    -webkit-transition: all 0.1s;
}

.divTab .divTabContent{
    width:100% !important;
}


.jk-rating-stars-container .star-button{
    text-shadow:none !important;
}
.rate .star-button i{
    color: #FF9501;
    font-size: 1.5em;
    margin: 0 !important;
}
.star-button i{
    font-size:1em;
    margin: 0 !important;
}

.bigstar i{
    font-size:2.3em !important;
    margin: 0 !important;
}

.bigstar .star-button i{
    font-size:2.3em !important;
    margin: 0 !important;
}


div.divAlert {
    text-align: center;
    background: rgba(255, 193, 193, 0.6);
    position: absolute;
    height: auto;
    width: 100%;
    top: 50%;
    right: 0;
    left: 0;
    z-index: 10000;
    padding-top: 1vh;
    margin-bottom: 10px;
}

div.divAlertDesc {
    text-align: center;
    background: rgba(255, 193, 193, 0.6);
    z-index: 10000;
    margin-bottom: 10px;
    width: 90%;
    margin: auto;
    border-radius: 10px;
}

.pNotification {
    color: white;
    padding: 1vh;
    font-size: 0.8em;
    font-weight: bold;
    text-align:center !important;
}

.m-t-0{
    margin-top:0px !important;
}

.divNoResult{
    text-align: center;
    position: relative;
    margin: 0px auto;
}

.panel h4{
    text-align:center;
}

.toolbar button.link{
    line-height:48px;
}

.subnavbar .list-block .item-content{
    margin-top:-5% !important;
}

.pull-to-refresh-layer{
    position:absolute !important;
    height:56px;
    margin-top:0px;
}

.list-block .item-link > .item-content.load .item-inner {
    padding-right: 0;
    padding-left: 42px;
    background-size: 20px 20px !important;
    background-position: auto !important;
    background-image: url("../img/ring.gif") !important;
}

.infiniteLoader{
    margin-top: 15px;
    margin-bottom: 10px;
    text-align: center;
    width:100%;
    padding-top: 20px;
}
    .infiniteLoader img {
        width: 35px;
    }

    .pull-to-refresh-layer img {
        width: 35px;
    }

    .navbar-fixed .navbar, .navbar-through .navbar{
        box-shadow:0 2px 4px -1px rgba(0, 0, 0, 0.2), 0 4px 5px 0 rgba(0, 0, 0, 0.14), 0 1px 10px 0 rgba(0, 0, 0, 0.12);
    }
.jq-ry-container {
    margin-left: auto;
    margin-right: auto;
    padding-top: 20px;
}
.pStars{
    direction:ltr;
}
.page.question .comments .status i, .page.profile .comments .status i{
    margin:-1px;
}
.deleteBtn {
    position: absolute;
    top: 0;
    z-index: 999;
    background: #ff5050;
    color: #fff;
    left: 1em;
    padding: 0.5em 0.8em;
    border-radius: 0 0 15px 15px;
    font-size: 16px;
}
.deleteBtn i{
    margin-left:0px !important;
        font-size: 20px;
}
.divUserProduct{
    position:relative;
}

.toolbar-fixed .toolbar-bottom, .tabbar-fixed .toolbar-bottom, .tabbar-labels-fixed .toolbar-bottom, .toolbar-bottom{
    box-shadow:0 -2px 4px -1px rgba(0, 0, 0, 0.2), 0 -4px 5px 0 rgba(0, 0, 0, 0.14), 0 -1px 10px 0 rgba(0, 0, 0, 0.12);
}

.pNotificationTitle{
    padding-left:3.4em;
}
.advImg{
    width: 100%;
    max-height: 100px;
    background-color: #dedede;
    padding: 5px 0px 5px 0px;
}

.page.profile .list-block{
    padding:0 !important;
}

.itemContentProfile{
    margin: 0 !important;
    border: 1px solid #dadada !important;
    border-radius: 50px !important;
    min-height: 46px !important;
    background: #fff !important;
}

.profileHeader{
   display: block;
    color: #EE990A;
    padding: 10px;
}

html[dir="rtl"] .badge {
  font-size: 10px;
  display: inline-block;
  color: #fff;
  background: #EE990A !important;
  border-radius: 3px;
  padding: 1px 6px;
  box-sizing: border-box;
  vertical-align: middle;
  margin-left: -5px;
  z-index: 99999;
  position: relative;
  float: right;
  line-height: initial;
  height: initial;
  left:0;
  top:0;
}

.page.bankAccount .bank h4 {
    margin-top: 0.7em;
    margin-bottom: 0;
    font-weight: normal;
    width:50%;
}

.page.bankAccount .bank img {
    position: absolute;
    width: 100px;
    left: 15px;
    border-radius: 5px;
}

.overlayProgress {
    position: absolute;
    background: rgba(84, 191, 5, 0.5);
    height: 130px;
    width: 130px;
    top: 2px;
    right: 2px;
    display: flex;
    align-items: center;
    -webkit-transition: width 2s linear;
    transition: width 2s linear;
}
.spanOverlay{
    font-size: 2.5em;
    display: block;
    margin: auto;
    width: 100%;
    position: absolute;
    top: 30%;
}

.floating-button {
  left: 16px;
  right: auto;
  background: #03A9F4; 
  bottom:16px;
}
  .floating-button.second {
    left: 80px; }
  .floating-button.active-state {
    background: #1BC7F2; }
  .floating-button i {
    font-size: 1.8em;
    margin-left: 0 !important; }

  .rulesColor {
    color:#4A148C;
    font-weight:700;
}

  .novalidate{
      color:#000;
  }
  .smallFont{
      font-size:10px;
  }

  .page.addAdvertisement .imgEdit{
    overflow: hidden;
    position: relative;
    border-radius:10px;
  }

  .w-90{
      width:90%;
  }

  .overlayAdvertisementProgress {
    position: absolute;
    background: rgba(84, 191, 5, 0.5);
    height: 100px;
    width: 100px;
    top: 0px;
    right: 0px;
    display: flex;
    align-items: center;
    -webkit-transition: width 2s linear;
    transition: width 2s linear;
    border-radius:10px;
}
.spanAdvertisementOverlay {
    font-size: 1.5em;
    display: block;
    margin: auto;
    width: 100%;
    position: absolute;
    text-align: center;
    color: #FFF;
    top: 25%;
}
.page.addAdvertisement img{
    min-height:100px;
    max-height:100px;
    border-radius:10px;
}

.spinner {
    -webkit-animation-name: spin;
    -webkit-animation-duration: 2000ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
    -moz-animation-name: spin;
    -moz-animation-duration: 1000ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;
    -ms-animation-name: spin;
    -ms-animation-duration: 1000ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;
    animation-name: spin;
    animation-duration: 1000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
@-ms-keyframes spin {
    from { -ms-transform: rotate(0deg); }
    to { -ms-transform: rotate(360deg); }
}
@-moz-keyframes spin {
    from { -moz-transform: rotate(0deg); }
    to { -moz-transform: rotate(360deg); }
}
@-webkit-keyframes spin {
    from { -webkit-transform: rotate(0deg); }
    to { -webkit-transform: rotate(360deg); }
}
@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}

.page.advertisementsDetails .swiper-custom .swiper-button-prev, .page.comments .swiper-custom .swiper-button-prev, .page.messages .swiper-custom .swiper-button-prev{
    border-radius:5px 0px 0px 5px !important;
    background-color: rgba(255,255,255,0.8) !important;
}

.page.advertisementsDetails .swiper-custom .swiper-button-next, .page.comments .swiper-custom .swiper-button-next, .page.messages .swiper-custom .swiper-button-next{
    border-radius:0px 5px 5px 0px !important;
    background-color: rgba(255,255,255,0.8) !important;
}

.page.advertisementsDetails .col-25:nth-child(2) .card.active{
    background-color:#CA0707 !important;
    color:#fff !important;
}

.page.advertisementsDetails #rateYo{
    padding-top:0px !important;
    margin-left:-6px !important;
}

.status{
    position: relative;
    z-index: 10;
    width: calc(100% - 4em);
    background: rgba(2, 151, 219, 0.7);
    bottom: 0;
    display: table;
    padding: 1em 2em;
    color: #fff;
    text-align: center;
}

.status p{
    margin:auto;
}

.centerNoResult{
    position:relative;
    top:40%;
}

.partialNoResult {
  display: flex;
  align-items: center; }
.partialNoResult .content-block {
  text-align: center;
  width: 100%; }
  .partialNoResult .content-block p {
    font-weight: bold; }

  .page.comments .messages .card h3{
      text-align:right;
  }

  .page.comments .messages .card h5{
      text-align:right;
      padding: 10px 0px;
  }

  .page[data-page="login"] .page-content{
      padding-top:0px !important;
  }

  .imgNoData{
      width:128px !important;
      height:128px !important;
  }

  .imgLoader,.imgLoader.preloader{
      width:35px !important;
      height:35px !important;
  }

  .badgeMessages{
      font-size: 10px;
    display: inline-block;
    color: #fff;
    background: #e91e63 !important;
    border-radius: 3px;
    padding: 1px 6px;
    box-sizing: border-box;
    vertical-align: middle;
    z-index: 99999;
    position: relative;
    float: left;
    line-height: initial;
    height: initial;
    left: 0;
    top: 0;
  }

  .page.messages .read{
      background:#e8e9eb none repeat scroll 0 0 !important;
  }

  .noResult .content-block{
      position:absolute;
  }

  .advNoResult .content-block{
      position:absolute;
      top:37vh;
      width: 100%;
    text-align: center;
  }

.page.advertisementsDetails .actionsFollow .col-100:nth-child(1) .card {
    color: #8DD35F !important;
}
    .page.advertisementsDetails .actionsFollow .col-100:nth-child(1) .card.active {
        background: #8DD35F !important;
        color: #fff !important;
    }

.page.advertisementsDetails .actionsFollow h1 {
    margin-bottom: 0 !important;
}
.page.advertisementsDetails .actionsFollow h4 {
    margin-top: 0 !important;
}

input , textarea {
    font-family: 'Cairo-Regular', sans-serif !important;
    -webkit-user-select: initial !important;
    /* Chrome all / Safari all */
    -moz-user-select: initial !important;
    /* Firefox all */
    -ms-user-select: initial !important;
    /* IE 10+ */
    user-select: initial !important;
 }

.advertisementsDetails .swiper-container .row{
    font-size:11px;
}

.advertisementsDetails .name .row{
    font-size:11px;
}

.preloader-inner .preloader-inner-half-circle{
    border:4px solid rgb(74,162,220);
}

.preloader.color-white .preloader-inner-gap, .preloader.color-white .preloader-inner-half-circle, .preloader.preloader-white .preloader-inner-gap, .preloader.preloader-white .preloader-inner-half-circle{
    border-color:none !important;
}

.preloader-white .preloader-inner .preloader-inner-gap, .preloader-white .preloader-inner .preloader-inner-half-circle{
    border-color:none !important;
}

.image-loader{
    text-align:center !important;
}

.loader-image{
    width: 50px !important;
    object-fit: fill !important;
    height: 50px !important;
    position: relative;
    top: 20%;
    margin: 0px auto !important;
    background:#fff !important;
}


.swiper-slide .image-loader {
    height: 100% !important;
}

.swiper-slide .loader-image{
    width: 50px !important;
    object-fit: fill !important;
    height: 50px !important;
    position: relative;
    top: 30%;
    margin: 0px auto !important;
    background:#fff !important;
}

.pPass{
    margin:-13px !important;
}

.preloader-indicator-overlay{
    opacity:0.3 !important;
    background:rgb(255,255,255) !important;
}

.page.addAdvertisement .loader-image{
    width:100% !important;
}

.divChat{
    margin-top:1.5em !important;
}

.chatParagraph{
    width: 100%;
    background: #03a9f4;
    text-align: center;
}

.chatDelete{
    width: 100%;
    background: #c70202;
    text-align: center;
}

.image-loader{
    text-align:center !important;
}

.loader-image{
    width: 50px !important;
    object-fit: fill !important;
    height: 50px !important;
    position: relative;
    top: 20%;
    margin: 0px auto !important;
    background:#fff !important;
}
/*[data-page='home'] .loader-image {
    width: 100% !important;
    position:initial !important;
}*/
.imgSideMenu{
    max-height:150px !important;
    max-width:150px !important;
    object-fit:cover !important;
    object-position:top !important;
    border-radius:50% !important;
    min-width: 150px !important;
    min-height: 150px !important;
}

.page.profile .head img{
    width: 130px !important;
    height: 130px !important;
    border-radius: 50% !important;
    border: 2px solid #fff !important;
    top: 0% !important;
}

.message{
    max-width:100% !important;
}

.page.categories .card .title, .page.profile .card .title, .page.advertisement .card .title{
    min-height:65px;
}

@keyframes move {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: 28px 0;
  }
}

.timeline-item {
    background: #fff;
    padding: 12px;

    margin: 0 auto;
    max-width: 472px;
    min-height: 200px;
}

.inner-timeline-item{
    background: #fff;
    margin: 0 auto;
    max-width: 472px;
    min-height: 60px;
}

.inner-animated-background {
    animation-duration: 2s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
    animation-name: placeHolderShimmer;
    animation-timing-function: linear;
    background: #f6f7f8;
    background: linear-gradient(to right, #aef6ff 8%, #00bcd4 18%, #aef6ff 33%);
    background-size: 800px 104px;
    height: 60px;
    position: relative;
    opacity: 0.3;
}

@keyframes placeHolderShimmer{
    0%{
        background-position: -468px 0
    }
    100%{
        background-position: 468px 0
    }
}

.animated-background {
    animation-duration: 2s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
    animation-name: placeHolderShimmer;
    animation-timing-function: linear;
    background: #f6f7f8;
    background: linear-gradient(to right, #aef6ff 8%, #00bcd4 18%, #aef6ff 33%);
    background-size: 800px 104px;
    height: 175px;
    position: relative;
    opacity: 0.3;
}

.background-masker {
    background: #fff;
    position: absolute;
}

.background-masker.content-top,
.background-masker.content-second-line,
.background-masker.content-third-line,
.background-masker.content-second-end,
.background-masker.content-third-end,
.background-masker.content-first-end {
    top: 120px;
    left: 0px;
    right: 0;
    height: 6px;
}

.background-masker.content-top {
    height:20px;
}

.background-masker.content-first-end,
.background-masker.content-second-end,
.background-masker.content-third-end{
    width: auto;
    left: 380px;
    right: 0;
    top: 155px;
    height: 8px;
}

.background-masker.content-second-line  {
    top: 148px;
}

.background-masker.content-second-end {
    left: 420px;
    top: 154px;
}

.background-masker.content-third-line {
    top: 162px;
}

.background-masker.content-third-end {
    left: 300px;
    top: 158px;
}
span.preloader.preloader-white{
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg%20viewBox%3D'0%200%20120%20120'%20xmlns%3D'http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg'%20xmlns%3Axlink%3D'http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink'%3E%3Cdefs%3E%3Cline%20id%3D'l'%20x1%3D'60'%20x2%3D'60'%20y1%3D'7'%20y2%3D'27'%20stroke%3D'%23ffffff'%20stroke-width%3D'11'%20stroke-linecap%3D'round'%2F%3E%3C%2Fdefs%3E%3Cg%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.27'%2F%3E%3Cuse%20xlink%3Ahref%3D'%23l'%20opacity%3D'.27'%20transform%3D'rotate(30%2060%2C60)'%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E")!important;
}
.preloader-indicator-modal .preloader {
    display: block !important ;
    width: 34px !important ;
    height: 34px !important ;
}
.disabledImage {
    -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
    filter: grayscale(100%);
}

.mapPage {
    height:100%;
    width:100%;
}
.loading-icon {
    animation: loading 1s linear infinite;
}

@keyframes loading {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}